import crypstie3.CrypstieClient
import kotlin.test.*

internal class CrypstieClientTest {

    @Test
    fun create() = runTest {
        val client = CrypstieClient("http://localhost:8296")
        assertEquals(3, client.version().split('.').size)
        val x = client.createPath("foobarbazz")
        val dc = client.decryptPath(x)
        assertEquals("foobarbazz", dc.text)
    }
}